Summary: Display login information for all machines on the local network
Name: rwho
Version: 0.10
Release: 8
Copyright: BSD
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-rwho-0.10.tar.gz
Source1: rwhod.init
Patch: netkit-rwho-0.10-misc.patch
Requires: /sbin/chkconfig
Buildroot: /var/tmp/rwho-root
Summary(de): Anzeige von Login-Infos fr alle Computer im LAN 
Summary(fr): Affiche les informations de login pour toutes les machines du rseau local
Summary(tr): A zerindeki makinalardaki kullanclar sorgular

%changelog
* Tue May 05 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added /var/spool/rwho

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- fixed init script

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- added an init script
- uses chkconfig
- uses %attr tags

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build

%description
The rwho program displays what users are logged into all of machines on the
local network which are running the rwho daemon. Both the rwho client
and daemon are provided in this package. 

%description -l de
Das rwho-Programm zeigt an, welche Anwender auf den Computern im LAN
eingeloggt sind, die den rwho-Dmon ausfhren. Sowohl der rwho-Client
als auch der Dmon werden mitgeliefert.

%description -l fr
Le programme rwho affiche quels utilisateurs sont connects sur les 
machines du rseau local qui ont lanc le dmon rwho. Le client et le
dmon rwho sont fournis dans ce package.

%description -l tr
rwho hizmetini sunan bir adaki tm makinalarda alan tm kullanclar bu
komutla sralanabilir. Bu paket hem istemci yazlmn hem de sunucu
yazlmn iermektedir.

%prep
%setup -n netkit-rwho-0.10
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/var/spool/rwho
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/rwhod.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rwhod

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rwhod

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del rwhod
fi

%files
/usr/bin/rwho
/usr/man/man1/rwho.1
/usr/sbin/rwhod
/usr/man/man8/rwhod.8
/var/spool/rwho
%config /etc/rc.d/init.d/rwhod
